<!--
*** SPDX-FileCopyrightText: 2024 Linutronix GmbH
*** SPDX-License-Identifier: GPL-2.0-only
-->
<leaf id="0x3">
  <desc>Transmeta Processor Serial Number (PSN)</desc>
  <text>
    If the PSN is disabled, then the returned register values are zero.
  </text>
  <vendors>
    <vendor>Transmeta</vendor>
  </vendors>
  <subleaf id="0">
    <eax>
      <bit0  len="32" id="cpu_psn_0"               desc="Processor Serial Number bytes 0 - 3" />
    </eax>
    <ebx>
      <bit0  len="32" id="cpu_psn_1"               desc="Processor Serial Number bytes 4 - 7" />
    </ebx>
    <ecx>
      <bit0  len="32" id="cpu_psn_2"               desc="Processor Serial Number bytes 8 - 11" />
    </ecx>
    <edx>
      <bit0  len="32" id="cpu_psn_3"               desc="Processor Serial Number bytes 12 - 15" />
    </edx>
  </subleaf>
</leaf>
